package com.hotent.base.enums.core;

/**
 * 枚举值统一返回定义
 * @author liangjc
 * @company 广州宏天软件股份有限公司
 * @email liangjc@jee-soft.cn
 * @date 2022-05-25 09:24
 */
public interface EnumReturn<T> {

    /**
     * 描述
     * @return
     */
    String getDesc();

    /**
     * 返回值
     * @return 泛型
     */
    T getValue();
}

